/* fix gestione tipo lista --> tipo particolare prelevabile */
set xact_abort on;
go

begin transaction;
go

alter table TipoListaPrelievo add
  codTipoObj nchar(1) constraint DF_TipoListaPrelievo_codTipoObj default ('');
go

exec sp_addextendedproperty 'MS_Description', 'tipo oggetto ("A" = anime, "P" = particolari)', 'SCHEMA', 'dbo', 'TABLE', 'TipoListaPrelievo', 'COLUMN', 'codTipoObj';
go

update TipoListaPrelievo set codTipoObj=('');
go

set ANSI_NULLS on;
go

alter VIEW v_selTipoLista
AS
SELECT        CodTipoLista AS value, DescrLista AS label, codTipoObj AS conditio
FROM            dbo.TipoListaPrelievo
WHERE        (enabled = 1)
go

exec sp_updateextendedproperty 'MS_DiagramPane1', '[0E232FF0-B466-11cf-A24F-00AA00A3EFFF, 1.00]
Begin DesignProperties = 
   Begin PaneConfigurations = 
      Begin PaneConfiguration = 0
         NumPanes = 4
         Configuration = "(H (1[40] 4[20] 2[20] 3) )"
      End
      Begin PaneConfiguration = 1
         NumPanes = 3
         Configuration = "(H (1 [50] 4 [25] 3))"
      End
      Begin PaneConfiguration = 2
         NumPanes = 3
         Configuration = "(H (1 [50] 2 [25] 3))"
      End
      Begin PaneConfiguration = 3
         NumPanes = 3
         Configuration = "(H (4 [30] 2 [40] 3))"
      End
      Begin PaneConfiguration = 4
         NumPanes = 2
         Configuration = "(H (1 [56] 3))"
      End
      Begin PaneConfiguration = 5
         NumPanes = 2
         Configuration = "(H (2 [66] 3))"
      End
      Begin PaneConfiguration = 6
         NumPanes = 2
         Configuration = "(H (4 [50] 3))"
      End
      Begin PaneConfiguration = 7
         NumPanes = 1
         Configuration = "(V (3))"
      End
      Begin PaneConfiguration = 8
         NumPanes = 3
         Configuration = "(H (1[56] 4[18] 2) )"
      End
      Begin PaneConfiguration = 9
         NumPanes = 2
         Configuration = "(H (1 [75] 4))"
      End
      Begin PaneConfiguration = 10
         NumPanes = 2
         Configuration = "(H (1[66] 2) )"
      End
      Begin PaneConfiguration = 11
         NumPanes = 2
         Configuration = "(H (4 [60] 2))"
      End
      Begin PaneConfiguration = 12
         NumPanes = 1
         Configuration = "(H (1) )"
      End
      Begin PaneConfiguration = 13
         NumPanes = 1
         Configuration = "(V (4))"
      End
      Begin PaneConfiguration = 14
         NumPanes = 1
         Configuration = "(V (2))"
      End
      ActivePaneConfig = 0
   End
   Begin DiagramPane = 
      Begin Origin = 
         Top = 0
         Left = 0
      End
      Begin Tables = 
         Begin Table = "TipoListaPrelievo"
            Begin Extent = 
               Top = 6
               Left = 38
               Bottom = 243
               Right = 208
            End
            DisplayFlags = 280
            TopColumn = 0
         End
      End
   End
   Begin SQLPane = 
   End
   Begin DataPane = 
      Begin ParameterDefaults = ""
      End
      Begin ColumnWidths = 9
         Width = 284
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
      End
   End
   Begin CriteriaPane = 
      Begin ColumnWidths = 11
         Column = 1440
         Alias = 900
         Table = 1170
         Output = 720
         Append = 1400
         NewValue = 1170
         SortType = 1350
         SortOrder = 1410
         GroupBy = 1350
         Filter = 1350
         Or = 1350
         Or = 1350
         Or = 1350
      End
   End
End
', 'SCHEMA', 'dbo', 'VIEW', 'v_selTipoLista';
go

commit;
go

/* aggiorno dati contenuti */
set xact_abort on
go

begin transaction
go

UPDATE dbo.TipoListaPrelievo SET 
  codTipoObj=N'P'
  WHERE CodTipoLista=N'00-Smart'
UPDATE dbo.TipoListaPrelievo SET 
  codTipoObj=N'A'
  WHERE CodTipoLista=N'01-PreAnim'
UPDATE dbo.TipoListaPrelievo SET 
  enabled=1, codTipoObj=N'P'
  WHERE CodTipoLista=N'01-PreFus'
UPDATE dbo.TipoListaPrelievo SET 
  toAs400=0, codTipoObj=N'P'
  WHERE CodTipoLista=N'02-PreCli'
UPDATE dbo.TipoListaPrelievo SET 
  codTipoObj=N'P'
  WHERE CodTipoLista=N'03-TerWip'
UPDATE dbo.TipoListaPrelievo SET 
  codTipoObj=N'P'
  WHERE CodTipoLista=N'04-OdetTK'

commit transaction
go

set xact_abort on;
go

begin transaction;
go

set ANSI_NULLS on;
go

/***************************************
* STORED stp_selTipoLista_getByIdx
*
* Steamware, S.E.L.
* mod: 2012.04.27
*
************************************/
create PROCEDURE stp_selTipoLista_getByIdx
(
	@value NVARCHAR(50)
)
AS

SELECT	*
FROM	v_selTipoLista
WHERE	value = @value

RETURN
go

commit;
go






-- registro versione...
INSERT INTO [dbo].[LogUpdateDb] ([Versione],[Data]) VALUES(430, GETDATE())
GO
